import { SQLiteDatabase } from "expo-sqlite";
import { AbstractModelDB, Effect, ModelValue, ModelSchema, QueryParams, WhereCondition } from "@canvas-js/modeldb";
export interface ModelDBOptions {
    path: string | null;
    models: ModelSchema;
}
export declare class ModelDB extends AbstractModelDB {
    #private;
    readonly db: SQLiteDatabase;
    constructor({ path, models }: ModelDBOptions);
    close(): Promise<void>;
    apply(effects: Effect[]): Promise<void>;
    get<T extends ModelValue<any> = ModelValue<any>>(modelName: string, key: string): Promise<T | null>;
    getMany<T extends ModelValue<any> = ModelValue<any>>(modelName: string, keys: string[]): Promise<(T | null)[]>;
    iterate<T extends ModelValue<any> = ModelValue<any>>(modelName: string, query?: QueryParams): AsyncIterable<T>;
    count(modelName: string, where?: WhereCondition): Promise<number>;
    clear(modelName: string): Promise<void>;
    query<T extends ModelValue<any> = ModelValue<any>>(modelName: string, query?: QueryParams): Promise<T[]>;
}
