import { SQLiteDatabase } from "expo-sqlite";
import { Relation, Model, ModelValue, PropertyValue, QueryParams, WhereCondition } from "@canvas-js/modeldb";
export declare class ModelAPI {
    #private;
    readonly db: SQLiteDatabase;
    readonly model: Model;
    columnNames: `"${string}"`[];
    constructor(db: SQLiteDatabase, model: Model);
    get(key: string): ModelValue | null;
    getMany(keys: string[]): (ModelValue | null)[];
    set(value: ModelValue): void;
    delete(key: string): void;
    clear(): void;
    count(where?: WhereCondition): number;
    query(query: QueryParams): ModelValue[];
    iterate(query: QueryParams): Iterable<ModelValue>;
    private parseRecord;
    private parseQuery;
    private getSelectExpression;
    private getWhereExpression;
}
export declare class RelationAPI {
    #private;
    readonly db: SQLiteDatabase;
    readonly relation: Relation;
    readonly table: string;
    readonly sourceIndex: string;
    readonly targetIndex: string;
    constructor(db: SQLiteDatabase, relation: Relation);
    get(source: string): string[];
    add(source: string, targets: PropertyValue): void;
    delete(source: string): void;
}
