import type { Model, ModelValue, PrimaryKeyProperty, PrimaryKeyValue, PrimitiveProperty, PrimitiveValue, ReferenceProperty } from "@canvas-js/modeldb";
type SqlitePrimitiveValue = string | number | Buffer | null;
export declare function encodeQueryParams(params: Record<string, PrimitiveValue>): Record<string, SqlitePrimitiveValue>;
export declare function encodeRecordParams(model: Model, value: ModelValue, params: Record<string, `p${string}`>): Record<`p${string}`, string | number | Buffer | null>;
export declare function decodeRecord(model: Model, record: Record<string, string | number | Buffer | null>): ModelValue;
export declare function decodePrimaryKeyValue(modelName: string, property: PrimaryKeyProperty, value: string | number | Buffer | null): PrimaryKeyValue;
export declare function decodePrimitiveValue(modelName: string, property: PrimitiveProperty, value: SqlitePrimitiveValue): PrimitiveValue;
export declare function decodeReferenceValue(modelName: string, property: ReferenceProperty, value: string | number | Uint8Array | null): string | null;
export {};
