import { SQLiteBindValue, SQLiteDatabase } from "expo-sqlite";
export declare class Query<P extends Record<string, SQLiteBindValue>, R> {
    private readonly sql;
    private readonly statement;
    constructor(db: SQLiteDatabase, sql: string);
    get(params: P): R | null;
    all(params: P): R[];
    iterate(params: P): IterableIterator<R>;
}
export declare class Method<P extends Record<string, SQLiteBindValue>> {
    private readonly sql;
    private readonly statement;
    constructor(db: SQLiteDatabase, sql: string);
    run(params: P): void;
}
