export class Query {
    constructor(db, sql) {
        Object.defineProperty(this, "sql", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: sql
        });
        Object.defineProperty(this, "statement", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.statement = db.prepareSync(sql);
    }
    get(params) {
        const result = this.statement.executeSync(params).getAllSync()[0];
        return result ?? null;
    }
    all(params) {
        return this.statement.executeSync(params).getAllSync();
    }
    iterate(params) {
        return this.statement.executeSync(params);
    }
}
export class Method {
    constructor(db, sql) {
        Object.defineProperty(this, "sql", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: sql
        });
        Object.defineProperty(this, "statement", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.statement = db.prepareSync(sql);
    }
    run(params) {
        const prefixedParams = Object.fromEntries(Object.entries(params).map(([k, v]) => [":" + k, v]));
        this.statement.executeSync(prefixedParams);
    }
}
